class Panel::Ask::BackEnd::AskAcknowledgementsController < OrbitBackendController
  include AdminHelper
  include OrbitControllerLib::DivisionForDisable

  before_filter :for_app_manager

  def initialize
    super
    @app_title = 'ask_acknowledgement'
  end

  def index
    @ask_acknowledgement = AskAcknowledgement.first || AskAcknowledgement.create
    @url = panel_ask_back_end_ask_acknowledgement_path(@ask_acknowledgement)
  end

  def update
    @ask_acknowledgement = AskAcknowledgement.first
    @ask_acknowledgement.update_attributes(params[:ask_acknowledgement])
    redirect_to panel_ask_back_end_ask_acknowledgements_path, notice: t('ask.save_success')
  end

end
